package com.brilliance.isc.bo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.bo.model.Gcdgrp;
import com.brilliance.isc.bo.model.Gctp;
import com.brilliance.isc.bo.model.Gidgrp;
import com.brilliance.isc.bo.model.Oldgidgrp;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = true)
@JsonIgnoreProperties(ignoreUnknown = true)
public class GctaddStoreBo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private Gcdgrp gcdgrp;
    private Gctp gctp;

    private Oldgidgrp oldgidgrp;
    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if (gcdgrp == null) {
            gcdgrp = new Gcdgrp();
        }
        gcdgrp.reset();
        if (gctp == null) {
            gctp = new Gctp();
        }
        if (oldgidgrp == null) {
            oldgidgrp = new Oldgidgrp();
        }
        oldgidgrp.reset();
    }
}
